## com.thaiopensource.xml.sax
Class ErrorHandlerImpl

    java.lang.Object
      com.thaiopensource.xml.sax.ErrorHandlerImpl

All Implemented Interfaces:
  ErrorHandler

    public class ErrorHandlerImpl

extends Object
implements ErrorHandler

Constructor Summary
`ErrorHandlerImpl()`
`ErrorHandlerImpl(OutputStream os)`
`ErrorHandlerImpl(Writer w)`

Method Summary
`void` `close()`
`void` `error(SAXParseException e)`
`void` `fatalError(SAXParseException e)`
`void` `print(String message)`
`void` `printException(Throwable e)`
`void` `warning(SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorHandlerImpl

    public ErrorHandlerImpl()

### ErrorHandlerImpl

    public ErrorHandlerImpl(OutputStream os)

### ErrorHandlerImpl

    public ErrorHandlerImpl(Writer w)

Method Detail

### close

    public void close()

### warning

    public void warning(SAXParseException e)
                 throws SAXParseException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXParseException`

### error

    public void error(SAXParseException e)

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXParseException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXParseException`

### printException

    public void printException(Throwable e)

### print

    public void print(String message)